# Set user's account (tenant)

Set the active account (tenant) of a user.
The active account (tenant) is the account (tenant) the user will see in their admin portal and the account (tenant) used by default for account (tenant)-specific API routes.
Provide the user's ID as a path parameter and the account (tenant) ID as a `tenantId` value in the request body. If a non-existing account (tenant) ID is provided, an account (tenant) will be created for that ID.
A valid environment token is required to call this endpoint. You can obtain it from the environment authentication route.

Endpoint: PUT /resources/users/v1/{userId}/tenant
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `userId` (string, required)

## Request fields (application/json):

  - `tenantId` (string, required)
    Desired tenant to set as active tenant for user

  - `validateTenantExist` (boolean)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `email` (string, required)

  - `name` (string, required)

  - `profilePictureUrl` (string, required)

  - `sub` (string, required)

  - `verified` (boolean, required)

  - `mfaEnrolled` (boolean, required)

  - `mfaBypass` (boolean)

  - `phoneNumber` (string)

  - `roles` (array, required)

  - `roles.id` (string, required)

  - `roles.vendorId` (string, required)

  - `roles.tenantId` (string, required)

  - `roles.key` (string, required)

  - `roles.name` (string, required)

  - `roles.description` (string, required)

  - `roles.isDefault` (boolean, required)

  - `roles.firstUserRole` (boolean, required)

  - `roles.level` (number, required)

  - `roles.createdAt` (string, required)

  - `roles.updatedAt` (string, required)

  - `roles.permissions` (array, required)

  - `permissions` (array, required)

  - `permissions.id` (string, required)

  - `permissions.key` (string, required)

  - `permissions.name` (string, required)

  - `permissions.description` (string, required)

  - `permissions.createdAt` (string, required)

  - `permissions.updatedAt` (string, required)

  - `permissions.roleIds` (array, required)

  - `permissions.categoryId` (string, required)

  - `permissions.fePermission` (boolean, required)

  - `provider` (string, required)

  - `tenantId` (string, required)

  - `tenantIds` (array, required)

  - `activatedForTenant` (boolean)

  - `isLocked` (boolean)

  - `tenants` (array, required)

  - `tenants.tenantId` (string, required)

  - `tenants.roles` (array, required)

  - `tenants.temporaryExpirationDate` (string)

  - `tenants.isDisabled` (boolean)

  - `invisible` (boolean)

  - `superUser` (boolean)

  - `metadata` (string, required)

  - `vendorMetadata` (string, required)

  - `externalId` (string)

  - `createdAt` (string, required)

  - `lastLogin` (string, required)

  - `groups` (array)

  - `subAccountAccessAllowed` (boolean, required)

  - `managedBy` (string)
    Enum: "frontegg", "scim2", "external"

